Bug 145942 - dead code detected
dead code detected
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: Maelstrom (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 05:37 EST by David Binderman
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 11:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-24 05:37:36 EST
Description of problem:

I just tried to compile package Maelstrom-3.0.6-7 from 
Redhat Fedora development tree.

The compiler said


SDL_FrameBuf.cpp(510): remark #177: function "memswap" was declared
but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-09-08 11:36:07 EDT
This is something best left for the upstream maintainer.

Note You need to log in before you can comment on or make changes to this bug.